import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib
import scipy.stats as ss

fin_nm = input('File Name(*.csv) = ')
data_fm = pd.read_csv(fin_nm, encoding='shift_jis')
print(data_fm.keys().values)
Var_A = input('X = ')
Var_B = input('Y = ')
A = data_fm[Var_A].values
B = data_fm[Var_B].values

results = ss.pearsonr(A, B)
print(f'r = {results.statistic:.5f}')
print(f'two-sided p-value = {results.pvalue:.5f}')
low, high = results.confidence_interval(0.95)
print(f'95% CI = [{low:.5f}, {high:.5f}]')

plt.figure(figsize=(6, 6))
plt.title(f'r = {results.statistic:.3f},' +
          f'   p-value = {results.pvalue:.5f}' +
          f'\n95% CI = [{low:.5f}, {high:.5f}]',
          fontsize=16)
for x, y in zip(A, B):
    plt.plot(x, y, 'o', color='k', markersize=10, fillstyle='none')
plt.xticks(fontsize=14)
plt.yticks(fontsize=14)
plt.xlabel(Var_A, fontsize=16)
plt.ylabel(Var_B, fontsize=16)
plt.tight_layout()
plt.show()
